weka.classifiers.functions.explicitboundaries.combiners

## Class PotentialFunctionCombiner

- java.lang.Object
- - weka.classifiers.functions.explicitboundaries.combiners.PotentialFunctionCombiner

- All Implemented Interfaces:
    Serializable, DecisionBoundaryCombiner, weka.core.OptionHandler

      public class PotentialFunctionCombiner
      extends Object
      implements DecisionBoundaryCombiner, Serializable, weka.core.OptionHandler

  Version:
    1.1.1
  Author:
    pawel trajdos
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PotentialFunctionCombiner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getClass(weka.core.Instance inst)` Get combined decision of the boundaries (class value)
    `int` | `getDecision(weka.core.Instance inst)` Get combined decision of the boundaries (class index)
    `String[]` | `getOptions()`
    `PotentialCombiner` | `getPotCombiner()`
    `PotentialFunction` | `getPotential()`
    `Enumeration<weka.core.Option>` | `listOptions()`
    `void` | `setBoundaries(DecisionBoundaries boundaries)` Sets the boundaries to combine
    `void` | `setOptions(String[] options)`
    `void` | `setPotCombiner(PotentialCombiner potCombiner)`
    `void` | `setPotential(PotentialFunction potential)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PotentialFunctionCombiner

          public PotentialFunctionCombiner()

  - ### Method Detail

    - #### getDecision

          public int getDecision(weka.core.Instance inst)
                          throws Exception

      Description copied from interface: `DecisionBoundaryCombiner`
      Get combined decision of the boundaries (class index)
      Specified by:
        `getDecision` in interface `DecisionBoundaryCombiner`
      Returns:
      Throws:
        `Exception`

    - #### setBoundaries

          public void setBoundaries(DecisionBoundaries boundaries)
                             throws Exception

      Description copied from interface: `DecisionBoundaryCombiner`
      Sets the boundaries to combine
      Specified by:
        `setBoundaries` in interface `DecisionBoundaryCombiner`
      Throws:
        `Exception`

    - #### getPotential

          public PotentialFunction getPotential()

      Returns:
        the potential

    - #### setPotential

          public void setPotential(PotentialFunction potential)

      Parameters:
        `potential` - the potential to set

    - #### getClass

          public double getClass(weka.core.Instance inst)
                          throws Exception

      Description copied from interface: `DecisionBoundaryCombiner`
      Get combined decision of the boundaries (class value)
      Specified by:
        `getClass` in interface `DecisionBoundaryCombiner`
      Returns:
      Throws:
        `Exception`

    - #### listOptions

          public Enumeration<weka.core.Option> listOptions()

      Specified by:
        `listOptions` in interface `weka.core.OptionHandler`

    - #### setOptions

          public void setOptions(String[] options)
                          throws Exception

      Specified by:
        `setOptions` in interface `weka.core.OptionHandler`
      Throws:
        `Exception`

    - #### getOptions

          public String[] getOptions()

      Specified by:
        `getOptions` in interface `weka.core.OptionHandler`

    - #### getPotCombiner

          public PotentialCombiner getPotCombiner()

      Returns:
        the potCombiner

    - #### setPotCombiner

          public void setPotCombiner(PotentialCombiner potCombiner)

      Parameters:
        `potCombiner` - the potCombiner to set

Copyright © 2019. All Rights Reserved.